# Created by pyp2rpm-1.0.1
%define pypi_name pycuda
%define version 2016.1.2

%global __requires_exclude libcuda.so.1

Name:           python-%{pypi_name}
Version:        %{version}
Release:        %mkrel 1
Group:          Development/Python
Summary:        Python wrapper for NVIDIA CUDA
License:        MIT
URL:            https://pypi.python.org/pypi/pycuda
Source0:        http://pypi.python.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
# Build with mga lib names
Patch0:         pycuda-2016.1.2-libboost_python.patch

ExcludeArch:    %ix86 %{arm}
BuildRequires:  ctags
BuildRequires:  python-devel
BuildRequires:  python-sphinx
BuildRequires:  python-sphinx_rtd_theme
BuildRequires:  python-numpy
BuildRequires:  python-numpy-devel
BuildRequires:  nvidia-cuda-toolkit-devel
BuildRequires:  nvidia-current-devel
BuildRequires:  libgl-devel
BuildRequires:  boost-devel
BuildRequires:  python-setuptools

Requires:       python-pytools >= 2011.2
Requires:       python-pytest >= 2
Requires:       python-decorator >= 3.2.0
Requires:       nvidia-current-cuda-opencl
Requires:       nvidia-cuda-toolkit-devel

%description
PyCUDA lets you access NVIDIA's CUDA parallel computation API from Python.

%package -n python3-%{pypi_name}
Group:          Development/Python
Summary:        Python 3 wrapper for NVIDIA CUDA
BuildRequires:  python3-devel
BuildRequires:  python3-sphinx
BuildRequires:  python3-sphinx_rtd_theme
BuildRequires:  python3-numpy
BuildRequires:  python3-numpy-devel
BuildRequires:  python3-setuptools
Requires:       python3-pytools
Requires:       python3-pytest >= 2
Requires:       python3-decorator >= 3.2.0

%description -n python3-%{pypi_name}
PyCUDA lets you access NVIDIA's CUDA parallel computation API from Python 3.

%prep
%setup -q -n %{pypi_name}-%{version}
%autopatch -p1
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

#(eatdirt) removed, try to download stuff from the internet
# generate html docs 
# sphinx-build doc/source html
# remove the sphinx-build leftovers
#rm -rf html/.{doctrees,buildinfo}

rm -rf %{py3dir}
cp -a . %{py3dir}

%build
./configure.py \
    --boost-compiler=gcc54 \
    --boost-python-libname="boost_python" \
    --no-use-shipped-boost \
    --cudadrv-lib-dir=%{_libdir}/nvidia-current \
    --ldflags=-lboost_system --cuda-enable-gl

%py2_build

pushd %{py3dir}
%{__python3} configure.py \
    --boost-compiler=gcc54 \
    --boost-python-libname="boost_python3" \
    --no-use-shipped-boost \
    --cudadrv-lib-dir=%{_libdir}/nvidia-current \
    --ldflags=-lboost_system --cuda-enable-gl

%py3_build
popd

%install
%py2_install

pushd %{py3dir}
%py3_install
popd

%files
%doc README_SETUP.txt README.rst
%{python2_sitearch}/%{pypi_name}
%{python2_sitearch}/%{pypi_name}-%{version}-py?.?.egg-info

%files -n python3-%{pypi_name}
%doc README_SETUP.txt README.rst
%{python3_sitearch}/%{pypi_name}
%{python3_sitearch}/%{pypi_name}-%{version}-py?.?.egg-info


%changelog
* Tue Mar 14 2017 eatdirt <eatdirt> 2016.1.2-1.mga6
+ Revision: 1092587
- Upgrade to version 2016.1.2

  + daviddavid <daviddavid>
    - rebuild for new nvidia-cuda-toolkit 8.0.61

* Sun Jan 08 2017 daviddavid <daviddavid> 2015.1.3-7.mga6.nonfree
+ Revision: 1080707
- exclude also ARM arches

* Sun Jan 08 2017 daviddavid <daviddavid> 2015.1.3-6.mga6.nonfree
+ Revision: 1080672
- requires python(3)-pytest

* Sat Jan 16 2016 daviddavid <daviddavid> 2015.1.3-5.mga6.nonfree
+ Revision: 923459
- rebuild for new nvidia-cuda-toolkit 7.5.18

* Sun Dec 27 2015 daviddavid <daviddavid> 2015.1.3-4.mga6.nonfree
+ Revision: 916075
- rebuild for new boost 1.60.0

* Sat Oct 10 2015 daviddavid <daviddavid> 2015.1.3-3.mga6.nonfree
+ Revision: 889180
- rewrite patch for python 3.5
- use new python macros

  + tv <tv>
    - BR python3-sphinx_rtd_theme
    - rebuild for python 3.5

* Sat Sep 26 2015 fwang <fwang> 2015.1.3-2.mga6.nonfree
+ Revision: 883759
- rebuild for new boost

* Fri Aug 14 2015 fwang <fwang> 2015.1.3-1.mga6.nonfree
+ Revision: 864643
- we only provides python3 ver now
- 2015.1.3

  + daviddavid <daviddavid>
    - rebuild for new boost-1.58.0

* Mon Jan 19 2015 philippem <philippem> 2014.1-6.mga5.nonfree
+ Revision: 811437
- cuda is x86_64 only
- rebuild with new Cuda

  + tv <tv>
    - new version
    - rebuild for missing pythoneggs deps
    - use %%global for req/prov exclude
    - autoconvert to new prov/req excludes

  + umeabot <umeabot>
    - Second Mageia 5 Mass Rebuild
    - Mageia 5 Mass Rebuild

* Wed Jun 04 2014 philippem <philippem> 2013.1.1-2.mga5.nonfree
+ Revision: 633233
- rewrite patch for Python3.4
- rebuild for new Python3.4

* Sat Feb 08 2014 philippem <philippem> 2013.1.1-1.mga5.nonfree
+ Revision: 586100
- Update to 2013.1.1, add Python3

* Mon Dec 09 2013 philippem <philippem> 2012.1-5.mga4.nonfree
+ Revision: 556072
- rebuild for new nvidia-cuda-toolkit

* Thu Oct 24 2013 philippem <philippem> 2012.1-4.mga4.nonfree
+ Revision: 546749
- bump rel to fix pythonegg

* Thu Jul 11 2013 fwang <fwang> 2012.1-3.mga4.nonfree
+ Revision: 452820
- rebuild for new boost

* Fri Apr 12 2013 mitya <mitya> 2012.1-2.mga3.nonfree
+ Revision: 409805
- Rebuild with new Boost 1.53

* Sat Mar 30 2013 mitya <mitya> 2012.1-1.mga3.nonfree
+ Revision: 406549
- imported package python-pycuda

